package org.tinygroup.permission;

import java.util.List;

import org.tinygroup.permission.config.PermissionConfig;
import org.tinygroup.permission.config.PermissionConfigs;

/**
 * 
 * 功能说明:权限配置管理接口 
 * <p> 系统版本: v1.0<br>
 * 开发人员: renhui <br>
 * 开发时间: 2013-8-13 <br>
 * 功能描述: 写明作用，调用方式，使用场景，以及特殊情况<br>
 */
public interface PermissionConfigManager {
     
	String PERMISSION_MANAGER_BEAN_NAME = "permissionConfigManager";
	String XSTEAM_PACKAGE_NAME = "permission";


	/**
	 * 
	 * 加载权限配置信息
	 * @param permissionConfig
	 */
	void addPermissionConfigs(PermissionConfigs permissionConfig);
	/**
	 * 
	 * 获取所有权限配置信息
	 * @return
	 */
	List<PermissionConfig> getPermissionConfigs();
	
	/**
	 * 
	 * 获取参数名称指定的权限配置
	 * @param configName 权限体系名称
	 * @return
	 */
	PermissionConfig getPermissionConfig(String configName);
	
}
