package org.tinygroup.permission.impl;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.tinygroup.permission.PermissionConfigManager;
import org.tinygroup.permission.config.PermissionConfig;
import org.tinygroup.permission.config.PermissionConfigs;

/**
 * 
 * 功能说明:权限配置信息管理接口的实现 
 * <p> 系统版本: v1.0<br>
 * 开发人员: renhui <br>
 * 开发时间: 2013-8-14 <br>
 * 功能描述: 写明作用，调用方式，使用场景，以及特殊情况<br>
 */
public class PermissionConfigManagerImpl implements PermissionConfigManager {
	
	private List<PermissionConfig> configs=new ArrayList<PermissionConfig>();
	
	private Map<String, PermissionConfig> configMap=new HashMap<String, PermissionConfig>();

	public void addPermissionConfigs(PermissionConfigs permissionConfig) {
		List<PermissionConfig> configList= permissionConfig.getConfigs();
         if(configList!=null){
        	 configs.addAll(configList);
        	 for (PermissionConfig config : configList) {
				configMap.put(config.getName(), config);
			}
         }
	}

	public List<PermissionConfig> getPermissionConfigs() {
		return configs;
	}

	public PermissionConfig getPermissionConfig(String configName) {
		return configMap.get(configName);
	}
}
